> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Requests an EVSE to unlock a connector



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml post /v2/evses/{uid}/connectors/{connectorId}/unlock
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/evses/{uid}/connectors/{connectorId}/unlock:
    post:
      tags:
        - EVSEs v2
      summary: Requests an EVSE to unlock a connector
      operationId: EvseController_unlockConnector_v2
      parameters:
        - name: uid
          required: true
          in: path
          description: Uniquely identifies the EVSE
          schema:
            example: 123456
            type: number
        - name: connectorId
          required: true
          in: path
          description: Identifier of the Connector within the EVSE
          schema:
            example: 1
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnlockConnectorResponseBodyDto'
        '400':
          description: Bad Request provided. A message will describe the issue.
        '403':
          description: Authorization header token is invalid or not provided.
        '500':
          description: Internal Server Error.
      security:
        - Authorization: []
components:
  schemas:
    UnlockConnectorResponseBodyDto:
      type: object
      properties:
        error:
          description: This contains the error message if the action was rejected
          allOf:
            - $ref: '#/components/schemas/ErrorResponseDto'
        status:
          type: string
          description: This indicates whether the EVSE has unlocked the connector.
          example: Unlocked
          enum:
            - Unlocked
            - UnlockFailed
            - NotSupported
      required:
        - status
    ErrorResponseDto:
      type: object
      properties:
        message:
          type: string
          description: Error message describing the issue
          example: Charge box is not connected
      required:
        - message
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````